aubio 0.4.2~alpha

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
filterbank_mel.h File Reference

Filterbank object coefficients initialization. More...

Go to the source code of this file.

## Functions
uint_t | aubio_filterbank_set_triangle_bands (aubio_filterbank_t *fb, fvec_t *freqs, smpl_t samplerate)
| filterbank initialization with triangular and overlapping bands More...
uint_t | aubio_filterbank_set_mel_coeffs_slaney (aubio_filterbank_t *fb, smpl_t samplerate)
| filterbank initialization for Mel filters using Slaney's coefficients More...

## Detailed Description

Filterbank object coefficients initialization.

Functions to create set the aubio_filterbank_t coefficients to

- aubio_filterbank_set_triangle_bands: overlapping triangular bands,
- aubio_filterbank_set_mel_coeffs_slaney: Mel frequency bands.

Definition in file filterbank_mel.h.

## Function Documentation

uint_t aubio_filterbank_set_mel_coeffs_slaney | ( | aubio_filterbank_t * | fb,
|  | smpl_t | samplerate
| ) |  |

filterbank initialization for Mel filters using Slaney's coefficients

Parameters

  fb | filterbank object
  samplerate | audio sampling rate

The filter coefficients are built according to Malcolm Slaney's Auditory Toolbox, available at http://cobweb.ecn.purdue.edu/~malcolm/interval/1998-010/ (see file mfcc.m).

Examples:
  spectral/test-filterbank_mel.c.

uint_t aubio_filterbank_set_triangle_bands | ( | aubio_filterbank_t * | fb,
|  | fvec_t * | freqs,
|  | smpl_t | samplerate
| ) |  |

filterbank initialization with triangular and overlapping bands

Parameters

  fb | filterbank object
  freqs | arbitrary array of boundary frequencies
  samplerate | audio sampling rate

This function computes the coefficients of the filterbank based on the boundaries found in freqs, in Hz, and using triangular overlapping bands.